# Interface WritableStreamDefaultWriter<W>

This Streams API interface is the object returned by WritableStream.getWriter() and once created locks the < writer to the WritableStream ensuring that no other streams can write to the underlying sink.

#### Type Parameters

- #### W = any

#### Hierarchy

- WritableStreamDefaultWriter

#####
Index

### Properties

closed
desiredSize
ready

### Methods

abort
close
releaseLock
write

## Properties

### `Readonly` closed

closed: Promise<undefined>

### `Readonly` desiredSize

desiredSize: null | number

### `Readonly` ready

ready: Promise<undefined>

## Methods

### abort

- abort(reason?): Promise<void>

- #### Parameters

  - ##### `Optional` reason: any

  #### Returns Promise<void>

### close

- close(): Promise<void>

- #### Returns Promise<void>

### releaseLock

- releaseLock(): void

- #### Returns void

### write

- write(chunk?): Promise<void>

- #### Parameters

  - ##### `Optional` chunk: W

  #### Returns Promise<void>

Generated using TypeDoc